org.springframework.batch.core.listener

## Class SkipListenerSupport<T,S>

- java.lang.Object
- - org.springframework.batch.core.listener.SkipListenerSupport<T,S>

- All Implemented Interfaces:
    SkipListener<T,S>, StepListener

      public class SkipListenerSupport<T,S>
      extends java.lang.Object
      implements SkipListener<T,S>

  Basic no-op implementations of all `SkipListener` implementations.
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkipListenerSupport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSkipInProcess(T item, java.lang.Throwable t)` This item failed on processing with the given exception, and a skip was called for.
    `void` | `onSkipInRead(java.lang.Throwable t)` Callback for a failure on read that is legal, so is not going to be re-thrown.
    `void` | `onSkipInWrite(S item, java.lang.Throwable t)` This item failed on write with the given exception, and a skip was called for.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkipListenerSupport

          public SkipListenerSupport()

  - ### Method Detail

    - #### onSkipInRead

          public void onSkipInRead(java.lang.Throwable t)

      Description copied from interface: `SkipListener`
      Callback for a failure on read that is legal, so is not going to be re-thrown. In case transaction is rolled back and items are re-read, this callback will occur repeatedly for the same cause. This will only happen if read items are not buffered.
      Specified by:
        `onSkipInRead` in interface `SkipListener<T,S>`
      Parameters:
        `t` - cause of the failure

    - #### onSkipInWrite

          public void onSkipInWrite(S item,
                                    java.lang.Throwable t)

      Description copied from interface: `SkipListener`
      This item failed on write with the given exception, and a skip was called for.
      Specified by:
        `onSkipInWrite` in interface `SkipListener<T,S>`
      Parameters:
        `item` - the failed item
        `t` - the cause of the failure

    - #### onSkipInProcess

          public void onSkipInProcess(T item,
                                      java.lang.Throwable t)

      Description copied from interface: `SkipListener`
      This item failed on processing with the given exception, and a skip was called for.
      Specified by:
        `onSkipInProcess` in interface `SkipListener<T,S>`
      Parameters:
        `item` - the failed item
        `t` - the cause of the failure